// file transfer listener
package com.lbe.doubleagent.service.transfer;

interface ITransferListener {

  oneway void onStart();

  oneway void onProgress(int progress);

  oneway void onFailure(int what, String reason);

  oneway void onDone();

  const int ERR_ZIP_FAILURE = 1;
  const int ERR_NOT_ENOUGH_SPACE = 2;
  const int ERR_SEND_FAILURE = 3;
  const int ERR_RECEIVE_FAILURE = 4;
  const int ERR_UNZIP_FAILURE = 5;
}